Package dev.plex.event

# Class PunishedPlayerEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.player.PlayerEvent
dev.plex.event.PunishedPlayerEvent

All Implemented Interfaces:
  `org.bukkit.event.Cancellable`

Direct Known Subclasses:
  `PunishedPlayerFreezeEvent`, `PunishedPlayerLockupEvent`, `PunishedPlayerMuteEvent`

public abstract class PunishedPlayerEvent extends org.bukkit.event.player.PlayerEvent implements org.bukkit.event.Cancellable
Superclass for punishment events

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`org.bukkit.event.Event.Result`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected boolean`
`cancelled`
Whether the event was cancelled
`protected PlexPlayer`
`punishedPlayer`
The player who was punished

### Fields inherited from class org.bukkit.event.player.PlayerEvent

`player`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`PunishedPlayerEvent(PlexPlayer punishedPlayer)`
Creates an event object

## Method Summary

### Methods inherited from class org.bukkit.event.player.PlayerEvent

`getPlayer`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, getHandlers, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.bukkit.event.Cancellable

`isCancelled, setCancelled`

## Field Details

### punishedPlayer

protected PlexPlayer punishedPlayer
The player who was punished

### cancelled

protected boolean cancelled
Whether the event was cancelled

## Constructor Details

### PunishedPlayerEvent

protected PunishedPlayerEvent(PlexPlayer punishedPlayer)
Creates an event object

Parameters:
  `punishedPlayer` - The player who was punished
See Also:
  - `PlexPlayer`